package merchant

import (
	"context"
	"kami/internal/service"

	"kami/api/merchant/v1"
)

func (c *ControllerV1) StealStatusGet(ctx context.Context, req *v1.StealStatusGetReq) (res *v1.StealStatusGetRes, err error) {
	isSteal := service.SysConfigDict().GetMerchantStealRuleStatus(ctx)
	res = &v1.StealStatusGetRes{
		Status: isSteal,
	}
	return
}
